summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWade Cline <wadecline@hotmail.com>2017-09-28 22:24:21 -0700
committerPatrice Clement <monsieurp@gentoo.org>2017-10-04 11:45:23 +0200
commit3ea7dc6c0571ba1b675fd6db286b88df2041437d (patch)
tree38dc795bba3c229ead474f2bcbc40f03dff67cfc /net-irc/inspircd/files
parentapp-backup/amanda: version bump to 3.5. (diff)
downloadgentoo-3ea7dc6c0571ba1b675fd6db286b88df2041437d.tar.gz
gentoo-3ea7dc6c0571ba1b675fd6db286b88df2041437d.tar.bz2
gentoo-3ea7dc6c0571ba1b675fd6db286b88df2041437d.zip
net-irc/inspircd: revbump to 2.0.24-r1.
* Install documentation with proper permissions, it was previously only viewable by the root user. * Remove --logfile option when starting the daemon via OpenRC, this prevents double-logging when the user has configured logging by the more featureful InspIRCd configuration file. Closes: https://bugs.gentoo.org/617686 Closes: https://github.com/gentoo/gentoo/pull/5821
Diffstat (limited to 'net-irc/inspircd/files')
-rw-r--r--net-irc/inspircd/files/inspircd-r3.confd33
-rw-r--r--net-irc/inspircd/files/inspircd-r3.initd48
2 files changed, 81 insertions, 0 deletions
diff --git a/net-irc/inspircd/files/inspircd-r3.confd b/net-irc/inspircd/files/inspircd-r3.confd
new file mode 100644
index 000000000000..af9b3fe15e22
--- /dev/null
+++ b/net-irc/inspircd/files/inspircd-r3.confd
@@ -0,0 +1,33 @@
+# Distributed under the terms of the GNU General Public License v2
+
+# Location of configuration file. Modify if you don't like the standard
+# one.
+#
+#INSPIRCD_CONFIGFILE="/etc/inspircd/inspircd.conf"
+
+# File used to store the PID file. Usually you won't need to touch it.
+# If you are changing PID file do not forget to set new PID file in
+# INSPIRCD_CONFIGFILE as well.
+#
+#INSPIRCD_PIDFILE="/run/inspircd/inspircd.pid"
+
+# User to run InspIRCd as
+#
+#INSPIRCD_USER="inspircd"
+#INSPIRCD_GROUP="inspircd"
+
+# You can use this configuration option to pass additional options to the
+# start-stop-daemon, see start-stop-daemon(8) for more details.
+# Per default we start InspIRCd without any output (quiet)
+# as user $INSPIRCD_USER and wait 1000ms after we have started the service
+# to ensure that the daemon is really up and running.
+#INSPIRCD_SSDARGS="--quiet --user \"${INSPIRCD_USER}\" --wait 1000"
+
+# The termination timeout (start-stop-daemon parameter "retry") ensures
+# that the service will be terminated within a given time (25 + 5 seconds
+# per default) when you are stopping the service.
+#INSPIRCD_TERMTIMEOUT="TERM/25/KILL/5"
+
+# Options to collectd
+# See `/usr/bin/inspircd --help` for more details
+#INSPIRCD_OPTS=""
diff --git a/net-irc/inspircd/files/inspircd-r3.initd b/net-irc/inspircd/files/inspircd-r3.initd
new file mode 100644
index 000000000000..4d8dac819368
--- /dev/null
+++ b/net-irc/inspircd/files/inspircd-r3.initd
@@ -0,0 +1,48 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+: ${INSPIRCD_USER:="inspircd"}
+: ${INSPIRCD_GROUP:="inspircd"}
+: ${INSPIRCD_CONFIGFILE:="/etc/inspircd/inspircd.conf"}
+: ${INSPIRCD_PIDFILE:="/run/inspircd/inspircd.pid"}
+: ${INSPIRCD_SSDARGS:="--quiet --wait 1000"}
+: ${INSPIRCD_TERMTIMEOUT:="TERM/25/KILL/5"}
+: ${INSPIRCD_OPTS:=""}
+
+command="/usr/bin/inspircd"
+command_args="${INSPIRCD_OPTS} --config \"${INSPIRCD_CONFIGFILE}\""
+command_user="${INSPIRCD_USER}"
+start_stop_daemon_args="${INSPIRCD_SSDARGS}"
+pidfile="${INSPIRCD_PIDFILE}"
+retry="${INSPIRCD_TERMTIMEOUT}"
+
+required_files="${INSPIRCD_CONFIGFILE}"
+
+name="InspIRCd"
+
+description="InspIRCd is a modular Internet Relay Chat (IRC) server."
+
+extra_commands="version"
+extra_started_commands="rehash"
+
+depend() {
+ use dns
+ provide ircd
+}
+
+start_pre() {
+ checkpath --directory --mode 0750 --owner ${INSPIRCD_USER}:${INSPIRCD_GROUP} "$(dirname "${INSPIRCD_PIDFILE}")"
+}
+
+rehash() {
+ ebegin "Rehashing InspIRCd"
+ start-stop-daemon --signal HUP --pidfile "${pidfile}"
+ eend $?
+}
+
+version() {
+ ebegin "Retrieve InspIRCd version"
+ ${command} --version
+ eend $?
+}